
locals {
  archetype_config_overrides = var.archetype_config_overrides
  configure_connectivity_resources = var.configure_connectivity_resources
  configure_identity_resources = var.configure_identity_resources
  configure_management_resources = var.configure_management_resources
  create_duration_delay = var.create_duration_delay
  custom_landing_zones = var.custom_landing_zones
  custom_policy_roles = var.custom_policy_roles
  default_location = var.default_location
  default_tags = var.default_tags
  deploy_connectivity_resources = var.deploy_connectivity_resources
  deploy_core_landing_zones = var.deploy_core_landing_zones
  deploy_corp_landing_zones = var.deploy_corp_landing_zones
  deploy_demo_landing_zones = var.deploy_demo_landing_zones
  deploy_diagnostics_for_mg = var.deploy_diagnostics_for_mg
  deploy_identity_resources = var.deploy_identity_resources
  deploy_management_resources = var.deploy_management_resources
  deploy_online_landing_zones = var.deploy_online_landing_zones
  deploy_sap_landing_zones = var.deploy_sap_landing_zones
  destroy_duration_delay = var.destroy_duration_delay
  disable_base_module_tags = var.disable_base_module_tags
  disable_telemetry = var.disable_telemetry
  library_path = var.library_path
  policy_non_compliance_message_default = var.policy_non_compliance_message_default
  policy_non_compliance_message_default_enabled = var.policy_non_compliance_message_default_enabled
  policy_non_compliance_message_enabled = var.policy_non_compliance_message_enabled
  policy_non_compliance_message_enforced_replacement = var.policy_non_compliance_message_enforced_replacement
  policy_non_compliance_message_enforcement_placeholder = var.policy_non_compliance_message_enforcement_placeholder
  policy_non_compliance_message_not_enforced_replacement = var.policy_non_compliance_message_not_enforced_replacement
  policy_non_compliance_message_not_supported_definitions = var.policy_non_compliance_message_not_supported_definitions
  resource_custom_timeouts = var.resource_custom_timeouts
  root_id = var.root_id
  root_name = var.root_name
  root_parent_id = var.root_parent_id
  strict_subscription_association = var.strict_subscription_association
  subscription_id_connectivity = var.subscription_id_connectivity
  subscription_id_identity = var.subscription_id_identity
  subscription_id_management = var.subscription_id_management
  subscription_id_overrides = var.subscription_id_overrides
  template_file_variables = var.template_file_variables
}
